<template>
  <div class="classLog">
    <q-timeline>
      <template v-for="(item,index) in dataList">
        <q-timeline-entry>
          <template v-slot:title>
            {{item.LogTypeStr}} {{item.CreatHour}}
          </template>
          <div>
            {{item.CreateByName}}: {{item.LogContent}}
          </div>
        </q-timeline-entry>
      </template>
    </q-timeline>
  </div>
</template>
<script>
  import {
    queryClassLogPageList
  } from '../../api/course/class'
  export default {
    props: {
      setingObj: {
        type: Object,
        default: null
      }
    },
    components: {

    },
    data() {
      return {
        msg: {
          PageIndex: 1,
          PageSize: 12,
          School_Id: 0,
          ClassId: 0
        },
        dataList: [],
      }
    },
    created() {
      this.msg.School_Id = this.setingObj.School_Id;
      this.msg.ClassId = this.setingObj.ClassId;
    },
    mounted() {
      this.getClassLog();
    },
    methods: {
      getClassLog() {
        queryClassLogPageList(this.msg).then(res => {
          if (res.Code == 1) {
            console.log("res", res.Data);
            this.dataList = res.Data.PageData;
          }
        })
      },
    },
  }

</script>
<style lang="sass">
  @import url('~assets/css/table.sass');

</style>
